# (anssi) The unversioned symlink of XvMC library must be present in
# %{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%define _requires_exceptions devel(

Name: x11-driver-video-via
Version: 0.2.2
Release: %mkrel 7
Summary: The X.org driver for VIA video chipsets
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-via-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
 
BuildRequires: libdrm-devel >= 2.0
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxvmc-devel >= 1.0.1
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Conflicts: xorg-x11-server < 7.0

Patch1: 0001-Bring-in-a-fix-for-XvMC-building-as-done-in-the-i810.patch
Patch2: 0002-Remove-obsolete-pci_burst-pci_retry-options.patch
Patch3: 0003-Fix-typos-in-via.man.patch

%description
The X.org driver for VIA video chipsets

%prep
%setup -q -n xf86-video-via-%{version}

%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std
# Remove unused files
rm -rf  %{buildroot}%{_libdir}/*.la 
rm -rf  %{buildroot}%{_libdir}/*.so 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%ifarch %{ix86} x86_64
#%{_libdir}/libviaXvMC.la
#%{_libdir}/libviaXvMC.so
%{_libdir}/libviaXvMC.so.1
%{_libdir}/libviaXvMC.so.1.0.0
#%{_libdir}/libviaXvMCPro.la
#%{_libdir}/libviaXvMCPro.so
%{_libdir}/libviaXvMCPro.so.1
%{_libdir}/libviaXvMCPro.so.1.0.0
%endif
%{_libdir}/xorg/modules/drivers/via_drv.la
%{_libdir}/xorg/modules/drivers/via_drv.so
%{_mandir}/man4/via.*


%changelog
* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.2.2-7mdv2008.1
+ Revision: 166215
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.2.2-6mdv2008.1
+ Revision: 156629
- re-enable rpm debug packages support

* Tue Jan 22 2008 Anssi Hannula <anssi@mandriva.org> 0.2.2-5mdv2008.1
+ Revision: 156377
- do not require devel packages due to the XvMC library

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.2.2-4mdv2008.1
+ Revision: 154784
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Update to properly use tag xf86-video-via-0.2.2, and add patches up to
  mandriva branch.
- Update for new policy of hidden symbols and common macros.
  Also move files that should be used only by the via module from /usr/lib to
  /usr/lib/xorg/modules. This driver is also severely outdated, and usually
  the openchrome module, vesa module, some binary from www.viaarena.com, or the
  viaarena mandriva package is a better or the only option.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.2.2-3mdv2008.1
+ Revision: 99061
- minor spec cleanup
- build against new xserver (1.4)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Tue Nov 14 2006 Colin Guthrie <cguthrie@mandriva.org> 0.2.2-2mdv2007.0
+ Revision: 84211
- Rebuild due to broken hdlists
- Fix #27060 by updating driver to latest version.

* Wed Aug 23 2006 Antonio Hobmeir Neto <neto@mandriva.com> 0.2.1-4mdv2007.0
+ Revision: 57478
- remove require libdrm2-devel of x11-driver-video-via (#24466)
  It shouldn't require a devel package.

  + Christiaan Welvaart <cjw@daneel.dyndns.org>
    - fix filelist for archs other than x86 and x86-64

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group
    - rebuild with the proper ABI on x86_64

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - new upstream release
    - rebuild to fix cooker uploading
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

